Bug 1290347 - SIGSEGV when using A2DP via Pulseaudio
SIGSEGV when using A2DP via Pulseaudio
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: sbc (Show other bugs)
23
armv7hl Linux
unspecified Severity high
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-10 04:50 EST by Scott K Logan
Modified: 2016-12-20 11:53 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:53:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Pulseaudio core dump (386.42 KB, application/x-xz)
2015-12-10 04:50 EST, Scott K Logan
no flags Details

  None (edit)
Description Scott K Logan 2015-12-10 04:50:38 EST
Created attachment 1104286 [details]
Pulseaudio core dump

Description of problem:
Segmentation fault while attempting A2DP from Pulseaudio to a Bluetooth headset.

Version-Release number of selected component (if applicable):
sbc-1.3-3.fc23.armv7hl
pulseaudio-7.1-1.fc23.armv7hl

How reproducible: 100%

Steps to Reproduce:
1. Pair Bluetooth headphones
2. Select A2DP profile in Pulseaudio
3. Try to play anything

Actual results: Pulseaudio is killed with SIGSEGV

Expected results: Working A2DP

Additional info:
The ARM system I'm using supports NEON. In sbc, if NEON is enabled, the file in which the segmentation fault originated isn't used. If I recompile the RPM targeting armv7hnl instead of armv7hl, A2DP works correctly (no segfault). I'm not sure if the problem affects all platforms using the armv6 code path, or use of the armv6 code path on armv7, or something else.
Comment 1 Scott K Logan 2015-12-10 04:52:09 EST
Backtrace with pulseaudio-debuginfo installed:
#0  0xad2ac904 in sbc_analyze_eight_armv6 () from /lib/libsbc.so.1
#1  0xad2a7c3c in sbc_encode () from /lib/libsbc.so.1
#2  0xad2c460c in a2dp_process_render (u=0xb6fe5838) at modules/bluetooth/module-bluez5-device.c:449
#3  thread_func (userdata=0xb6fe5838) at modules/bluetooth/module-bluez5-device.c:1456
#4  0xb6cd5948 in internal_thread_func (userdata=0xb705cac0) at pulsecore/thread-posix.c:81
#5  0xb6904100 in start_thread () from /lib/libpthread.so.0
#6  0xb67b31f0 in ?? () from /lib/libc.so.6
Backtrace stopped: previous frame identical to this frame (corrupt stack?)


Backtrace with pulseaudio-debuginfo and sbc-debuginfo installed:
#0  0xad2ac904 in sbc_analyze_eight_armv6 () at sbc/sbc_primitives_armv6.c:115
#1  0x00150024 in ?? ()
Backtrace stopped: previous frame identical to this frame (corrupt stack?)
Comment 2 Fedora End Of Life 2016-11-24 09:08:02 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2016-12-20 11:53:20 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.